export type ThemeMode = 'dark' | 'light';
export declare const useThemeStore: import("pinia").StoreDefinition<"theme", Pick<{
    theme: import("vue").Ref<ThemeMode, ThemeMode>;
    isDark: import("vue").ComputedRef<boolean>;
    toggle: () => void;
    setTheme: (t: ThemeMode) => void;
}, "theme">, Pick<{
    theme: import("vue").Ref<ThemeMode, ThemeMode>;
    isDark: import("vue").ComputedRef<boolean>;
    toggle: () => void;
    setTheme: (t: ThemeMode) => void;
}, "isDark">, Pick<{
    theme: import("vue").Ref<ThemeMode, ThemeMode>;
    isDark: import("vue").ComputedRef<boolean>;
    toggle: () => void;
    setTheme: (t: ThemeMode) => void;
}, "toggle" | "setTheme">>;
